"""
Luna API backport platform 3 client realisation.
"""

from .mixins import (
    AccountMixin,
    BaseLunaBP3HttpClient,
    DescriptorMixin,
    HandlerMixin,
    LinkerMixin,
    ListMixin,
    LivenessMixin,
    MatcherMixin,
    PersonMixin,
    WSMixin,
)


class LunaHttpClient(
    BaseLunaBP3HttpClient,
    AccountMixin,
    DescriptorMixin,
    HandlerMixin,
    ListMixin,
    LinkerMixin,
    LivenessMixin,
    MatcherMixin,
    PersonMixin,
    WSMixin,
):
    """
    Luna API backport platform 3 client.
    """
